org.apache.storm.eventhubs.spout

## Class PartitionManager

- java.lang.Object
- - org.apache.storm.eventhubs.spout.SimplePartitionManager
  - - org.apache.storm.eventhubs.spout.PartitionManager

- All Implemented Interfaces:
    IPartitionManager

      public class PartitionManager
      extends SimplePartitionManager

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.eventhubs.spout.SimplePartitionManager

      `committedOffset, config, lastOffset, receiver`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionManager(EventHubSpoutConfig spoutConfig, String partitionId, IStateStore stateStore, IEventHubReceiver receiver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ack(String offset)`
    `void` | `fail(String offset)`
    `protected String` | `getCompletedOffset()`
    `EventDataWrap` | `receive()`

    - ### Methods inherited from class org.apache.storm.eventhubs.spout.SimplePartitionManager

      `checkpoint, close, getMetricsData, open`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionManager

          public PartitionManager(EventHubSpoutConfig spoutConfig,
                                  String partitionId,
                                  IStateStore stateStore,
                                  IEventHubReceiver receiver)

  - ### Method Detail

    - #### receive

          public EventDataWrap receive()

      Specified by:
        `receive` in interface `IPartitionManager`
      Overrides:
        `receive` in class `SimplePartitionManager`

    - #### ack

          public void ack(String offset)

      Specified by:
        `ack` in interface `IPartitionManager`
      Overrides:
        `ack` in class `SimplePartitionManager`

    - #### fail

          public void fail(String offset)

      Specified by:
        `fail` in interface `IPartitionManager`
      Overrides:
        `fail` in class `SimplePartitionManager`

    - #### getCompletedOffset

          protected String getCompletedOffset()

      Overrides:
        `getCompletedOffset` in class `SimplePartitionManager`

Copyright © 2021 The Apache Software Foundation. All rights reserved.